> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Get available impact metrics

GET https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata

**Enterprise feature**

Returns all available impact metrics and their metadata.

Reference: https://docs.getunleash.io/api/get-available-impact-metrics

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: admin-api
  version: 1.0.0
paths:
  /api/admin/impact-metrics/metadata:
    get:
      operationId: get-available-impact-metrics
      summary: Get available impact metrics
      description: |-
        **Enterprise feature**

        Returns all available impact metrics and their metadata.
      tags:
        - subpackage_metrics
      parameters:
        - name: Authorization
          in: header
          description: API key needed to access this API
          required: true
          schema:
            type: string
      responses:
        '200':
          description: availableImpactMetricsSchema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/availableImpactMetricsSchema'
        '401':
          description: >-
            Authorization information is missing or invalid. Provide a valid API
            token as the `authorization` header, e.g.
            `authorization:*.*.my-admin-token`.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAvailableImpactMetricsRequestUnauthorizedError
        '403':
          description: >-
            The provided user credentials are valid, but the user does not have
            the necessary permissions to perform this operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAvailableImpactMetricsRequestForbiddenError
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAvailableImpactMetricsRequestNotFoundError
servers:
  - url: https://app.unleash-instance.example.com
    description: Your Unleash instance (replace with your actual URL)
components:
  schemas:
    AvailableImpactMetricsSchemaMetricsItemsSource:
      type: string
      enum:
        - internal
        - external
      description: Whether this metric comes from an internal or external source.
      title: AvailableImpactMetricsSchemaMetricsItemsSource
    AvailableImpactMetricsSchemaMetricsItems:
      type: object
      properties:
        name:
          type: string
          description: The metric name.
        help:
          type: string
          description: The help text for the metric.
        displayName:
          type: string
          description: A human-readable display name.
        source:
          $ref: '#/components/schemas/AvailableImpactMetricsSchemaMetricsItemsSource'
          description: Whether this metric comes from an internal or external source.
      required:
        - name
        - help
        - displayName
        - source
      title: AvailableImpactMetricsSchemaMetricsItems
    availableImpactMetricsSchema:
      type: object
      properties:
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/AvailableImpactMetricsSchemaMetricsItems'
          description: The list of available impact metrics.
      required:
        - metrics
      description: Response containing the available impact metrics and their metadata.
      title: availableImpactMetricsSchema
    GetAvailableImpactMetricsRequestUnauthorizedError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: GetAvailableImpactMetricsRequestUnauthorizedError
    GetAvailableImpactMetricsRequestForbiddenError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: GetAvailableImpactMetricsRequestForbiddenError
    GetAvailableImpactMetricsRequestNotFoundError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: GetAvailableImpactMetricsRequestNotFoundError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: API key needed to access this API
    bearerToken:
      type: http
      scheme: bearer
      description: API key needed to access this API, in Bearer token format

```

## Examples



**Response**

```json
{
  "metrics": [
    {
      "name": "http_requests_total",
      "help": "Total number of HTTP requests.",
      "displayName": "HTTP Requests Total",
      "source": "internal"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/impact-metrics/metadata")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```